package com.mortals.xhx.common.code;

import java.util.LinkedHashMap;
import java.util.Map;

/**
* 服务对象 （事业法人.事业法人，社会组织法人.社会组织法人，非法人企业.非法人企业，企业法人.企业法人，自然人.自然人，其他组织.其他组织）枚举类
*
* @author zxfei
*/
public enum AppoveObjectShowEnum {
    事业法人("事业法人", "事业法人"),
    社会组织法人("社会组织法人", "社会组织法人"),
    非法人企业("非法人企业", "非法人企业"),
    企业法人("企业法人", "企业法人"),
    自然人("自然人", "自然人"),
    其他组织("其他组织", "其他组织");
    private String value;
    private String desc;

    AppoveObjectShowEnum(String value, String desc) {
        this.value = value;
        this.desc = desc;
    }

    public String getValue() {
        return this.value;
    }

    public String getDesc() {
        return this.desc;
    }

    public static AppoveObjectShowEnum getByValue(String value) {
        for (AppoveObjectShowEnum appoveObjectShowEnum : AppoveObjectShowEnum.values()) {
            if (appoveObjectShowEnum.getValue() == value) {
                return appoveObjectShowEnum;
            }
        }
        return null;
    }

    /**
    * 获取Map集合
    *
    * @param eItem 不包含项
    * @return
    */
    public static Map<String, String> getEnumMap(String... eItem) {
        Map<String, String> resultMap = new LinkedHashMap<>();
        for (AppoveObjectShowEnum item : AppoveObjectShowEnum.values()) {
            try {
                boolean hasE = false;
                for (String e : eItem) {
                    if (item.getValue() == e) {
                        hasE = true;
                        break;
                    }
                }
                if (!hasE) {
                    resultMap.put(item.getValue() + "", item.getDesc());
                }
            } catch (Exception ex) {

            }
        }
        return resultMap;
    }
}